Description

In recent versions of Chrome, a “Change your password” popup may appear immediately after logging in. This popup causes

unexpected interruptions during automated system tests, making the tests unstable and unreliable.

 

To prevent this popup and other password-related prompts from appearing during system tests, the following preferences have been

added to the ChromeDriver configuration in ApplicationSystemTestCase:

diff --git a/test/application_system_test_case.rb b/test/application_system_test_case.rb

index 4a6fd0d30..0bb0de944 100644

--- a/test/application_system_test_case.rb

+++ b/test/application_system_test_case.rb

@@ -43,6 +43,11 @@ class ApplicationSystemTestCase < ActionDispatch::SystemTestCase

     driver_option.add_preference 'download.default_directory',   DOWNLOADS_PATH.gsub(File::SEPARA

TOR, File::ALT_SEPARATOR || File::SEPARATOR)

     driver_option.add_preference 'download.prompt_for_download', false

     driver_option.add_preference 'plugins.plugins_disabled',     ["Chrome PDF Viewer"]

+    # Disable "Change your password" popup shown after login due to leak detection

+    driver_option.add_preference 'profile.password_manager_leak_detection', false

+    # Disable password saving prompts

+    driver_option.add_preference 'profile.password_manager_enabled', false

+    driver_option.add_preference 'credentials_enable_service', false

   end

   setup do

This change improves the stability and reliability of system tests by ensuring they run without such interference.

Associated revisions

Revision 23704 - 2025-04-23 02:50 - Go MAEDA

Suppress "Change your password" popup for stable system tests (#42600).

Patch by Mizuki ISHIKAWA (user:ishikawa999).

Revision 23708 - 2025-04-24 07:42 - Go MAEDA

Merged r23704 from trunk to 6.0-stable (#42600).

Revision 23709 - 2025-04-24 07:43 - Go MAEDA

Merged r23704 from trunk to 5.1-stable (#42600).

2025-05-01 1/2



History

#1 - 2025-04-22 02:15 - Go MAEDA

- Target version set to 5.1.9

Setting the target version to 5.1.9.

#2 - 2025-04-23 02:51 - Go MAEDA

- Subject changed from Suppress “Change your password” popup for stable system tests to Suppress "Change your password" popup for stable

system tests

- Status changed from New to Resolved

- Assignee set to Go MAEDA

Committed the patch in r23704. Thank you.

#3 - 2025-04-24 07:43 - Go MAEDA

- Status changed from Resolved to Closed

Merged the change into the stable branches in r23708 and r23709.
